/*
==================================================
WOOCOMMERCE CUSTOM STYLES
==================================================


DESCRIPTION :
Ce fichier contient tous les styles personnalisés
liés à WooCommerce et aux sections produit des pages Elementor.

Il est chargé uniquement sur :
- Pages WooCommerce
- Pages catégories café personnalisées

STRUCTURE DU FICHIER :

1. Style Général Woocommerce  
2. Style section produit des pages personnalisé elmentor 
        [ Info : les produit  sont  cibler avec la classe add-to-cart-product pour pas  impacter le style global  woocommerce ]
3. Section de l'affichage des image produit pages elementor
4. Page produit Woocommerce
5. Page Panier
6. Page Commander 
7. Page mon compte  

. Responsive


==================================================
*/

/* =============================================================== 
        1. Style Général Woocommerce  
================================================================== */

body.woocommerce-cart, body.woocommerce-checkout, body.woocommerce-account {
    margin-top: 150px !important;
    font-family: "Capriola", sans-serif;
}

.woocommerce {
    color: #130A01 !important;
}


/*Bandeau info woocommerce */
.woocommerce-info, .woocommerce-message {
border-top-color :#6F4E37;
    color: #4A2905 !important;
    font-family: "Avenir", sans-serif;
    background-color: #C5B5A0  !important;
    box-shadow: 5px 5px 10px -5px rgba(0, 0, 0, 0.5) !important;
    font-weight: 600 !important;
}

.woocommerce-info::before,  .woocommerce-message::before {
    color: #A4A479 !important;
}

.woocommerce-info a {
    color: #774422 !important;
}


/* =============================================================== 
        2. Style section produit des pages personnalisé elmentor 
================================================================== */

/* Mettre les variations sur une seule ligne */
.add-to-cart-product .variations,
.add-to-cart-product .variations tbody {
    display: flex;
    flex-direction: row;
    gap: 16px;
    align-items: start;
}

/* Chaque attribut */
.add-to-cart-product .variations tr {
    width: auto;
}

/* Select / Label */
.add-to-cart-product .variations td,.add-to-cart-product .variations th {
    display: flex;
    align-items: center;
}

/* Select style */
.add-to-cart-product .variations select {
    width: auto;
}

/* Supprimer l'espace inutile */
.add-to-cart-product .variations th,
.add-to-cart-product .variations td {
    border: none;
    padding: 0;
}

.add-to-cart-product .single_variation_wrap {
    display: flex;
    gap: 10px;
    align-items: flex-start;
}

.add-to-cart-product #pa_conditionnement,#pa_compatibilite, #pa_mouture {
    /*width: 100px;*/
    border-radius: 35px;
    font-family: "Capriola", Sans-Serif;
    font-size: 14px;
    color: #130A01;
}

.add-to-cart-product #pa_conditionnement:focus, #pa_compatibilite:focus, #pa_mouture:focus{
    border-color: white;
}

.add-to-cart-product .woocommerce-js .variations select {
    padding: 6px 10px;
}

.add-to-cart-product .reset_variations {
    padding-left: 10px;
}

.add-to-cart-product .label label {
    margin-bottom: 10px;
    font-family: "Capriola", Sans-Serif;
    color: #4A2905;
}

/* Affichage prix / bouton ajouter au panier */
.add-to-cart-product .variations_form {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* IMPORTANT : garder la règle Woo page produit */
body.single-product .variations_form {
    display: flex;
    flex-direction: column;
}

.add-to-cart-product .single_add_to_cart_button {
    background-color: #AA100F !important;
    border-radius: 35px;
    display: flex !important;
    align-items: center;
    height: 40px;

}

body.single-product .price {
    background-color: initial;
}

/* Affichage du prix */
.add-to-cart-product .price {
    background-color: white !important;
    border-radius: 35px;
    width: 100px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.add-to-cart-product .price,
.add-to-cart-product .input-text {
    font-size: 16px !important;
    font-family: "Capriola", sans-serif;
    color: #130A01 !important;
}

.add-to-cart-product .input-text {
    width: 100px !important;
    border-radius: 35px !important;
    height: 40px !important;
}

.add-to-cart-product .woocommerce-variation-price {
    display: flex;
    flex-direction: column;
}

.add-to-cart-product .custom-prix-label,
.add-to-cart-product .custom-quantity-label {
    margin-bottom: 7px;
    font-size: 14px;
    font-family: "Capriola", sans-serif;
    color: #4A2905;
}

.add-to-cart-product .woocommerce-variation-add-to-cart {
    align-items: flex-end;
}

.add-to-cart-product .woocommerce-price-suffix {
    display: none !important;
}

/* Café Tarnish coffee aligner bouton ajout pannier */

#tarnish-coffee-grains .cart, #tarnish-coffee-moulu .cart {
    align-items: flex-end;
}


/* =============================================================== 
        3. Section de l'affichage des image produit pages elementor   
================================================================== */

/* ==== Affichage image ==== */


.galerie-produit-custom {
    display: flex;
    gap: 20px;
    max-width: 900px;
    align-items: center;
}


.image-principale {
    flex: 1;
    border-radius: 10px;
    overflow: hidden;
    width: 500px;
    height: 500px;
    flex-shrink: 0;
    

    display: flex;
    align-items: center;
    justify-content: center;
}

/* Image s'adapte au container */
.image-principale img {
    width: 100%;
    height: 100%;
    object-fit: contain; 
    display: block;
    transition: opacity 0.3s ease;
}


.galerie-miniatures {
    display: flex;
    flex-direction: column;
    gap: 12px;
    width: 120px;
    flex-shrink: 0;
}

.miniature {
    width: 120px;
    height: 120px;
    object-fit: cover;
    border-radius: 8px;
    border: 3px solid #ddd;
    cursor: pointer;
    transition: all 0.3s ease;
}

.miniature:hover {
    transform: scale(1.05);
    border-color: #6F4E37;
}

/* =============================================================== 
                    4. Page produit Woocommerce  
================================================================== */

/* ========= Largeur container page produit ======== */
.ast-container {
    max-width: 1440px !important;
    padding: 0px !important;
}

/* ========= Message Ajout au panier  ======== */

.woocommerce-message {
border-top-color :#6F4E37;
margin-top: 170px !important;
    color: #130A01;
    font-family: "Avenir", sans-serif;
    box-shadow: 5px 5px 10px -5px rgba(0, 0, 0, 0.5) !important;
}

.woocommerce-message a {
    background-color: transparent !important;
    color: #130A01 !important;
    text-transform: uppercase;
    font-family: "Capriola", sans-serif !important;

}

/*========= Section Notre gamme de café ====== */

/* Padding texte card Gamme de café*/
.astra-shop-summary-wrap {
    padding: 0px 15px 15px 15px !important;
}

/* Aligner les boutons en bas de cards  */
li.product {
  display: flex;
  flex-direction: column;
  height: 100%;
}


li.product .astra-shop-summary-wrap {
  flex: 1;
  display: flex;
  flex-direction: column;
  padding-top: 20px !important;
  background-color: #fff;
}

li.product .woocommerce-loop-product__buttons {
  margin-top: auto;
}


/* Category */
.ast-woo-product-category {
    color: #4A2905 !important;
    font-family: "Capriola", sans-serif;
}


/* =============================================================== 
                            5. Page Panier  
================================================================== */


.woocommerce-cart thead, .woocommerce-cart .cart_totals h2 {
    background-color: #C5B5A0 !important;
}
/* Bouton */
body.woocommerce-cart .button {
  background-color: #A4A479 !important;
  color: #fff !important;
  font-family: "Capriola" , sans-serif;
  text-transform: uppercase;
  border-radius: 55px ;
}

/* Couleur générale texte */
.woocommerce-cart .woocommerce {
    color: #130A01;
}

/* Agrandir la section panier a toutes la largeur */
.woocommerce-cart  .cart_totals {
    width: 100% !important;
}

/* Aligner à gauche  */
.woocommerce-cart  .cart_totals td {
    text-align: end !important;
}

/* Nom produit */
.woocommerce-cart .product-name a {
    color: #AA100F !important;
    font-family: "Caprasimo", sans-serif;
    font-weight: 400 !important;
}

.woocommerce-cart .input-text {
    border-radius: 50px !important;
}


.woocommerce-cart .shop_table th, .woocommerce-cart .cart_totals h2 {
    color: #4A2905 !important;
    font-family: "Capriola", sans-serif;
    font-weight: 400 !important;
}

/* Bouton */
.wc-proceed-to-checkout {
    display: flex;
    justify-content: center;
}

.wc-proceed-to-checkout a {
    width: 300px;
    padding: 10px !important;
    font-size: 14px !important;
}


/* =============================================================== 
                            6. Page Commander  
================================================================== */

.woocommerce-checkout h3, .woocommerce-checkout h2 {
    font-family: "Caprasimo", sans-serif;
    color: #130A01;
    font-weight: 600;
}

.woocommerce-checkout h2 {
    background-color:#C5B5A0 !important ;
    color: #4A2905;
}

.woocommerce-checkout label, .woocommerce-checkout p{
    font-family: "Avenir",sans-serif;
    color: #130A01;
}

/* Cible les prix */
.woocommerce-checkout bdi {
    font-family: "Capriola",sans-serif;
    color: #130A01;
    font-size: 14px;
}


.woocommerce-checkout th.product-name, .woocommerce-checkout th {
    color: #774422;
}

.woocommerce-checkout td.product-name, .woocommerce-checkout td.product-name a {
    color: #AA100F !important;
        font-family: "Caprasimo", sans-serif;
}

/* Champs formulaire */
.woocommerce-checkout input, .woocommerce-checkout textarea {
background-color: #C5B5A0 !important;
    border: solid 1px #774422 !important;
    font-weight: 500;
    color: #774422 !important;
}

/* Menu Déroulant */
.woocommerce-checkout .selection span {
    background-color: #C5B5A0 !important;
    font-weight: 500;
    color: #774422 !important;
}
.woocommerce-checkout .select2-search--dropdown {
    padding: 0px !important;
}

.woocommerce-checkout .select2-results {
        background-color: #C5B5A0;
    font-family: "Capriola", sans-serif;
    color: #774422 !important;
}

/*Placeholder*/
.woocommerce-checkout input::placeholder, .woocommerce-checkout textarea::placeholder {
    color: #130a017c !important;
}

/*
.woocommerce-checkout .woocommerce-info {
border-top-color :#6F4E37;
    color: #130A01;
    font-family: "Avenir", sans-serif;
    box-shadow: 5px 5px 10px -5px rgba(0, 0, 0, 0.5) !important;
}

.woocommerce-checkout .woocommerce-info a {
    color: #774422 !important;
}*/

.woocommerce-checkout .button {
  background-color: #A4A479 !important;
  color: #fff !important;
  font-family: "Capriola" , sans-serif;
  text-transform: uppercase;
  border-radius: 55px ;
}

/* Section Expedition - passer expedision au dessus du choix des livraisons */

#order_review > table > tfoot > tr.woocommerce-shipping-totals.shipping {
    display: flex !important;
    flex-direction: column !important;
    gap: 10px;
}

/* =============================================================== 
                            7. Page mon compte 
================================================================== */

.woocommerce-account li a{
    color: #774422;
    font-family: "Capriola",  sans-serif;
}

body.woocommerce-account .woocommerce-MyAccount-navigation .is-active a {
    color: #4A2905 !important;
    border-radius: 55px;
    border: #774422 solid 1px;
    background-color: #C5B5A0;
}

.woocommerce-account .woocommerce{
    color: #130A01;
    font-family: "Avenir",  sans-serif;
}

.woocommerce-account .button {

  background-color: #A4A479 !important;
  color: #fff !important;
  font-family: "Capriola" , sans-serif;
  text-transform: uppercase;
  border-radius: 55px ;
}

/* Supprime les bordures sur les onglets (tableau de bord / Commandes .. ) */
.woocommerce-account .woocommerce-MyAccount-navigation-link {
    border: none !important;
}

/*
.woocommerce-account .woocommerce-info {
border-top-color :#6F4E37;
    color: #130A01;
    font-family: "Avenir", sans-serif;
    box-shadow: 5px 5px 10px -5px rgba(0, 0, 0, 0.5) !important;
}*/

 
/* =============================================================== 
                            7. Responsive 
================================================================== */

    /* =====[ Desktop ]===== */
    @media (max-width :1460px ) and (min-width:1024px) {
        .variation-produit-cafe-moulu .variations_form {
        flex-direction:column ;
        }
    }
    
    @media (max-width :1250px ) and (min-width:1024px) {
        .add-to-cart-product .variations_form {
        flex-direction:column ;
        }

    .add-to-cart-product .woocommerce-variation-add-to-cart {
            align-self: flex-end !important;
        }
    }

    /* =====[ Tablette ]===== */

    @media (max-width: 1024px) and (min-width: 769px) {
      /*  .galerie-produit-custom {
            max-width: 700px;
        }*/
        
        .image-principale {
            width: 400px;
            height: 400px;
        }
        
        .miniature {
            width: 100px;
            height: 100px;
        }
        
        .galerie-miniatures {
            width: 100px;
        }

        /* Page Validation de commande */

        #post-29637 > div > div > form.checkout.woocommerce-checkout {
            display: flex !important;
            flex-direction: column !important;
        }

        #customer_details, #order_review {
            width: 100% !important;

        }

    }


    /* =====[ Mobile ]===== */

    @media (max-width: 768px) {
        .galerie-produit-custom {
            flex-direction: column;
            align-items: center;
        }
        

        .image-principale {
            width: 100%;
            max-width: 450px; 
        }
        
        .galerie-miniatures {
            flex-direction: row;
            width: 100%;
            max-width: 450px;
            overflow-x: auto;
            justify-content: center;
            -webkit-overflow-scrolling: touch;
        }
        
        .miniature {
            width: 90px;
            height: 90px;
            flex-shrink: 0;
        }

        /* Section add to cart*/

        .add-to-cart-product .variations_form {
        flex-direction:column ;
        }
    
   /* .add-to-cart-product #pa_conditionnement, #pa_compatibilite{
        width: 80%;
    }*/

.add-to-cart-product .variations, .add-to-cart-product .variations tbody {
width: auto;
}

    }

    /* Petit mobile (moins de 480px) */
    @media (max-width: 480px) {
        .image-principale {
            width: 100%;
            max-width: 100%;
        }
        
        .miniature {
            width: 75px;
            height: 75px;
        }
    }

    @media (max-width: 460px)
{.add-to-cart-product .single_variation_wrap {
    flex-direction: column;
}
 }   
